## libpfm4 4.10.1+git44-ga2909cd

=== debian/changelog ===
libpfm4 (4.10.1+git44-ga2909cd-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * typos.patch: Fix more typos found by Lintian.
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Mar 2020 14:23:00 +0100

=== debian/control ===
Source: libpfm4
Section: libs
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders:
 Vincent Danjean <vdanjean@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 libncurses-dev,
 swig,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://perfmon2.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git

Package: libpfm4
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:
 libpapi5 (<< 5.5.1-2~),
 pcp (<< 3.11.10~),
Description: Library to program the performance monitoring events
 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.
 .
 This package provides the shared library.

Package: libpfm4-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
Conflicts: libpfm3-3.2-dev
Replaces: libpfm3-3.2-dev
Description: Development files for the libpfm4 library
 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.
 .
 This package provides the development files of the library.

## libpfm4 4.11.1%2Bgit32

=== lib/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

#
# Common files
#
SRCS=pfmlib_common.c

ifeq ($(SYS),Linux)
SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
endif

CFLAGS+=-D_REENTRANT -I. -fvisibility=hidden

#
# list all library support modules
#
ifeq ($(CONFIG_PFMLIB_ARCH_IA64),y)
INCARCH = $(INC_IA64)
#SRCS   += pfmlib_gen_ia64.c pfmlib_itanium.c pfmlib_itanium2.c pfmlib_montecito.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_IA64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_intel_x86_perf_event.c pfmlib_amd64_perf_event.c \
	pfmlib_intel_netburst_perf_event.c \
	pfmlib_intel_snbep_unc_perf_event.c
endif

INCARCH = $(INC_X86)
SRCS   += pfmlib_amd64.c pfmlib_intel_core.c pfmlib_intel_x86.c \
	  pfmlib_intel_x86_arch.c pfmlib_intel_atom.c \
	  pfmlib_intel_nhm_unc.c pfmlib_intel_nhm.c \
	  pfmlib_intel_wsm.c  \
	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
	  pfmlib_intel_hsw.c \
	  pfmlib_intel_bdw.c \
	  pfmlib_intel_skl.c \
	  pfmlib_intel_icl.c \
	  pfmlib_intel_rapl.c \
	  pfmlib_intel_snbep_unc.c \
	  pfmlib_intel_snbep_unc_cbo.c \
	  pfmlib_intel_snbep_unc_ha.c \
	  pfmlib_intel_snbep_unc_imc.c \
	  pfmlib_intel_snbep_unc_pcu.c \
	  pfmlib_intel_snbep_unc_qpi.c \
	  pfmlib_intel_snbep_unc_ubo.c \
	  pfmlib_intel_snbep_unc_r2pcie.c \
	  pfmlib_intel_snbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_cbo.c \
	  pfmlib_intel_ivbep_unc_ha.c \
	  pfmlib_intel_ivbep_unc_imc.c \
	  pfmlib_intel_ivbep_unc_pcu.c \
	  pfmlib_intel_ivbep_unc_qpi.c \
	  pfmlib_intel_ivbep_unc_ubo.c \
	  pfmlib_intel_ivbep_unc_r2pcie.c \
	  pfmlib_intel_ivbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_irp.c \
	  pfmlib_intel_hswep_unc_cbo.c \
	  pfmlib_intel_hswep_unc_ha.c \
	  pfmlib_intel_hswep_unc_imc.c \
	  pfmlib_intel_hswep_unc_pcu.c \
	  pfmlib_intel_hswep_unc_qpi.c \
	  pfmlib_intel_hswep_unc_ubo.c \
	  pfmlib_intel_hswep_unc_r2pcie.c \
	  pfmlib_intel_hswep_unc_r3qpi.c \
	  pfmlib_intel_hswep_unc_irp.c \
	  pfmlib_intel_hswep_unc_sbo.c \
	  pfmlib_intel_bdx_unc_cbo.c \
	  pfmlib_intel_bdx_unc_ubo.c \
	  pfmlib_intel_bdx_unc_sbo.c \
	  pfmlib_intel_bdx_unc_ha.c \
	  pfmlib_intel_bdx_unc_imc.c \
	  pfmlib_intel_bdx_unc_irp.c \
	  pfmlib_intel_bdx_unc_pcu.c \
	  pfmlib_intel_bdx_unc_qpi.c \
	  pfmlib_intel_bdx_unc_r2pcie.c \
	  pfmlib_intel_bdx_unc_r3qpi.c \
	  pfmlib_intel_skx_unc_cha.c \
	  pfmlib_intel_skx_unc_iio.c \
	  pfmlib_intel_skx_unc_imc.c \
	  pfmlib_intel_skx_unc_irp.c \
	  pfmlib_intel_skx_unc_m2m.c \
	  pfmlib_intel_skx_unc_m3upi.c \
	  pfmlib_intel_skx_unc_pcu.c \
	  pfmlib_intel_skx_unc_ubo.c \
	  pfmlib_intel_skx_unc_upi.c \
	  pfmlib_intel_knc.c \
	  pfmlib_intel_slm.c \
	  pfmlib_intel_tmt.c \
	  pfmlib_intel_knl.c \
	  pfmlib_intel_knl_unc_imc.c \
	  pfmlib_intel_knl_unc_edc.c \
	  pfmlib_intel_knl_unc_cha.c \
	  pfmlib_intel_knl_unc_m2pcie.c \
	  pfmlib_intel_glm.c \
	  pfmlib_intel_netburst.c \
	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
	  pfmlib_amd64_fam14h.c pfmlib_amd64_fam15h.c \
	  pfmlib_amd64_fam17h.c pfmlib_amd64_fam16h.c \
	  pfmlib_amd64_fam19h.c pfmlib_amd64_rapl.c \
	  pfmlib_amd64_fam19h_l3.c

CFLAGS += -DCONFIG_PFMLIB_ARCH_X86

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
SRCS += pfmlib_intel_coreduo.c pfmlib_intel_p6.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_I386
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86_64),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_X86_64
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_POWERPC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_powerpc_perf_event.c
endif

INCARCH = $(INC_POWERPC)
SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c pfmlib_power9.c pfmlib_powerpc_nest.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_S390X),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_s390x_perf_event.c
endif

INCARCH = $(INC_S390X)
SRCS   += pfmlib_s390x_cpumf.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_S390X
endif

ifeq ($(CONFIG_PFMLIB_ARCH_SPARC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_sparc_perf_event.c
endif

INCARCH = $(INC_SPARC)
SRCS   += pfmlib_sparc.c pfmlib_sparc_ultra12.c pfmlib_sparc_ultra3.c pfmlib_sparc_ultra4.c pfmlib_sparc_niagara.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_SPARC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM)
SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM64)
SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_mips_perf_event.c
endif

INCARCH = $(INC_MIPS)
SRCS   += pfmlib_mips.c pfmlib_mips_74k.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_MIPS
endif

ifeq ($(CONFIG_PFMLIB_CELL),y)
INCARCH = $(INC_CELL)
#SRCS   += pfmlib_cell.c
CFLAGS += -DCONFIG_PFMLIB_CELL
endif

ifeq ($(SYS),Linux)
SLDFLAGS=$(LDFLAGS) -shared -Wl,-soname -Wl,$(VLIBPFM)
SLIBPFM=libpfm.so.$(VERSION).$(REVISION).$(AGE)
VLIBPFM=libpfm.so.$(VERSION)
SOLIBEXT=so
endif

CFLAGS+=-I.
ALIBPFM=libpfm.a

TARGETS=$(ALIBPFM)

ifeq ($(CONFIG_PFMLIB_SHARED),y)
TARGETS += $(SLIBPFM)
endif

OBJS=$(SRCS:.c=.o)
SOBJS=$(OBJS:.o=.lo)

INC_COMMON= $(PFMINCDIR)/perfmon/pfmlib.h pfmlib_priv.h

ifeq ($(SYS),Linux)
INC_COMMON += $(PFMINCDIR)/perfmon/perf_event.h events/perf_events.h
endif

INC_IA64=pfmlib_ia64_priv.h	 \
	events/itanium_events.h	 \
	events/itanium2_events.h \
	events/montecito_events.h

INC_X86= pfmlib_intel_x86_priv.h	\
	pfmlib_amd64_priv.h		\
	events/amd64_events_k7.h    	\
	events/amd64_events_k8.h    	\
	events/amd64_events_fam10h.h	\
	events/amd64_events_fam11h.h	\
	events/amd64_events_fam12h.h	\
	events/amd64_events_fam14h.h	\
	events/amd64_events_fam15h.h	\
	events/amd64_events_fam17h_zen1.h \
	events/amd64_events_fam17h_zen2.h \
	events/amd64_events_fam19h_zen3.h \
	events/amd64_events_fam19h_zen3_l3.h \
	events/amd64_events_fam16h.h	\
	events/intel_p6_events.h	\
	events/intel_netburst_events.h	\
	events//intel_x86_arch_events.h \
	events/intel_coreduo_events.h	\
	events/intel_core_events.h	\
	events/intel_atom_events.h	\
	events/intel_nhm_events.h	\
	events/intel_nhm_unc_events.h	\
	events/intel_wsm_events.h	\
	events/intel_wsm_unc_events.h	\
	events/intel_snb_events.h	\
	events/intel_snb_unc_events.h	\
	events/intel_ivb_events.h	\
	events/intel_hsw_events.h	\
	events/intel_bdw_events.h	\
	events/intel_skl_events.h	\
	events/intel_glm_events.h	\
	events/intel_icl_events.h	\
	pfmlib_intel_snbep_unc_priv.h	\
	events/intel_snbep_unc_cbo_events.h \
	events/intel_snbep_unc_ha_events.h \
	events/intel_snbep_unc_imc_events.h \
	events/intel_snbep_unc_pcu_events.h \
	events/intel_snbep_unc_qpi_events.h \
	events/intel_snbep_unc_ubo_events.h \
	events/intel_snbep_unc_r2pcie_events.h \
	events/intel_snbep_unc_r3qpi_events.h \
	events/intel_tmt_events.h \
	events/intel_knc_events.h \
	events/intel_knl_events.h \
	events/intel_ivbep_unc_cbo_events.h \
	events/intel_ivbep_unc_ha_events.h \
	events/intel_ivbep_unc_imc_events.h \
	events/intel_ivbep_unc_pcu_events.h \
	events/intel_ivbep_unc_qpi_events.h \
	events/intel_ivbep_unc_ubo_events.h \
	events/intel_ivbep_unc_r2pcie_events.h \
	events/intel_ivbep_unc_r3qpi_events.h \
	events/intel_ivbep_unc_irp_events.h \
	events/intel_hswep_unc_cbo_events.h \
	events/intel_hswep_unc_sbo_events.h \
	events/intel_hswep_unc_ha_events.h \
	events/intel_hswep_unc_imc_events.h \
	events/intel_hswep_unc_pcu_events.h \
	events/intel_hswep_unc_qpi_events.h \
	events/intel_hswep_unc_ubo_events.h \
	events/intel_hswep_unc_r2pcie_events.h \
	events/intel_hswep_unc_r3qpi_events.h \
	events/intel_hswep_unc_irp_events.h \
	events/intel_bdx_unc_cbo_events.h \
	events/intel_bdx_unc_ubo_events.h \
	events/intel_bdx_unc_sbo_events.h \
	events/intel_bdx_unc_ha_events.h \
	events/intel_bdx_unc_imc_events.h \
	events/intel_bdx_unc_irp_events.h \
	events/intel_bdx_unc_pcu_events.h \
	events/intel_bdx_unc_qpi_events.h \
	events/intel_bdx_unc_r2pcie_events.h \
	events/intel_bdx_unc_r3qpi_events.h \
	events/intel_skx_unc_cha_events.h \
	events/intel_skx_unc_iio_events.h \
	events/intel_skx_unc_imc_events.h \
	events/intel_skx_unc_irp_events.h \
	events/intel_skx_unc_m2m_events.h \
	events/intel_skx_unc_m3upi_events.h \
	events/intel_skx_unc_pcu_events.h \
	events/intel_skx_unc_ubo_events.h \
	events/intel_skx_unc_upi_events.h \
	events/intel_knl_unc_imc_events.h \
	events/intel_knl_unc_edc_events.h \
	events/intel_knl_unc_cha_events.h \
	events/intel_knl_unc_m2pcie_events.h \
	events/intel_slm_events.h

INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h

INC_POWERPC=events/ppc970_events.h	\
	events/ppc970mp_events.h	\
	events/power4_events.h		\
	events/power5_events.h		\
	events/power5+_events.h		\
	events/power6_events.h		\
	events/power7_events.h		\
	events/power8_events.h		\
	events/power9_events.h		\
	events/torrent_events.h		\
	events/powerpc_nest_events.h

INC_S390X=pfmlib_s390x_priv.h \
	events/s390x_cpumf_events.h

INC_SPARC=events/sparc_ultra12_events.h		\
	events/sparc_ultra3_events.h		\
	events/sparc_ultra3plus_events.h	\
	events/sparc_ultra3i_events.h		\
	events/sparc_ultra4plus_events.h	\
	events/sparc_niagara1_events.h		\
	events/sparc_niagara2_events.h

INC_CELL=events/cell_events.h

INC_ARM=pfmlib_arm_priv.h			\
	events/arm_cortex_a7_events.h		\
	events/arm_cortex_a8_events.h		\
	events/arm_cortex_a9_events.h		\
	events/arm_cortex_a15_events.h		\
	events/arm_cortex_a57_events.h		\
	events/arm_cortex_a53_events.h		\
        events/arm_xgene_events.h		\
	events/arm_cavium_tx2_events.h		\
	events/arm_marvell_tx2_unc_events.h	\
	events/arm_neoverse_n1_events.h

INC_ARM64=events/arm_cortex_a57_events.h	\
	events/arm_cortex_a53_events.h		\
        events/arm_xgene_events.h		\
	events/arm_cavium_tx2_events.h		\
	events/arm_marvell_tx2_unc_events.h	\
	events/arm_fujitsu_a64fx_events.h	\
	events/arm_neoverse_n1_events.h

INCDEP=$(INC_COMMON) $(INCARCH)

all: $(TARGETS)

$(OBJS) $(SOBJS): $(TOPDIR)/config.mk $(TOPDIR)/rules.mk Makefile $(INCDEP)

libpfm.a:  $(OBJS)
	$(RM) $@
	$(AR) cq $@ $(OBJS)

$(SLIBPFM):  $(SOBJS)
	$(CC) $(CFLAGS) $(SLDFLAGS)  -o $@ $(SOBJS)
	$(LN) $@ $(VLIBPFM)
	$(LN) $@ libpfm.$(SOLIBEXT)

clean:
	$(RM) -f *.o *.lo *.a *.so* *~ *.$(SOLIBEXT)

distclean: clean

depend:
	$(MKDEP) $(CFLAGS) $(SRCS)

install: $(TARGETS)

install:
	@echo building: $(TARGETS)
	-mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 644 $(ALIBPFM) $(DESTDIR)$(LIBDIR)

## libpfm4 4.11.1+git8

=== docs/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

.PHONY: all clean distclean depend

ARCH_MAN=
SYS_MAN=

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)
ARCH_MAN=libpfm_intel_core.3	\
	 libpfm_intel_x86_arch.3\
	 libpfm_amd64.3		\
	 libpfm_amd64_k7.3	\
	 libpfm_amd64_k8.3	\
	 libpfm_amd64_fam10h.3	\
	 libpfm_amd64_fam15h.3	\
	 libpfm_amd64_fam16h.3	\
	 libpfm_amd64_fam17h.3	\
	 libpfm_amd64_fam17h_zen2.3 \
	 libpfm_intel_atom.3	\
	 libpfm_intel_nhm.3	\
	 libpfm_intel_nhm_unc.3 \
	 libpfm_intel_wsm.3	\
	 libpfm_intel_wsm_unc.3 \
	 libpfm_intel_snb.3	\
	 libpfm_intel_snb_unc.3 \
	 libpfm_intel_ivb.3	\
	 libpfm_intel_ivb_unc.3 \
	 libpfm_intel_hsw.3	\
	 libpfm_intel_bdw.3	\
	 libpfm_intel_rapl.3	\
	 libpfm_intel_slm.3	\
	 libpfm_intel_tmt.3	\
	 libpfm_intel_skl.3	\
	 libpfm_intel_icl.3	\
	 libpfm_intel_glm.3	\
	 libpfm_intel_knl.3	\
	 libpfm_intel_knm.3	\
	 libpfm_intel_snbep_unc_cbo.3 \
	 libpfm_intel_snbep_unc_ha.3 \
	 libpfm_intel_snbep_unc_imc.3 \
	 libpfm_intel_snbep_unc_pcu.3 \
	 libpfm_intel_snbep_unc_qpi.3 \
	 libpfm_intel_snbep_unc_ubo.3 \
	 libpfm_intel_snbep_unc_r2pcie.3 \
	 libpfm_intel_snbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_cbo.3 \
	 libpfm_intel_ivbep_unc_ha.3 \
	 libpfm_intel_ivbep_unc_imc.3 \
	 libpfm_intel_ivbep_unc_pcu.3 \
	 libpfm_intel_ivbep_unc_qpi.3 \
	 libpfm_intel_ivbep_unc_ubo.3 \
	 libpfm_intel_ivbep_unc_r2pcie.3 \
	 libpfm_intel_ivbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_irp.3 \
	 libpfm_intel_knc.3 \
	 libpfm_intel_hswep_unc_cbo.3 \
	 libpfm_intel_hswep_unc_ha.3 \
	 libpfm_intel_hswep_unc_imc.3 \
	 libpfm_intel_hswep_unc_irp.3 \
	 libpfm_intel_hswep_unc_pcu.3 \
	 libpfm_intel_hswep_unc_qpi.3 \
	 libpfm_intel_hswep_unc_r2pcie.3 \
	 libpfm_intel_hswep_unc_r3qpi.3 \
	 libpfm_intel_hswep_unc_sbo.3 \
	 libpfm_intel_hswep_unc_ubo.3  \
	 libpfm_intel_bdx_unc_cbo.3 \
	 libpfm_intel_bdx_unc_ha.3 \
	 libpfm_intel_bdx_unc_imc.3 \
	 libpfm_intel_bdx_unc_irp.3 \
	 libpfm_intel_bdx_unc_pcu.3 \
	 libpfm_intel_bdx_unc_qpi.3 \
	 libpfm_intel_bdx_unc_r2pcie.3 \
	 libpfm_intel_bdx_unc_r3qpi.3 \
	 libpfm_intel_bdx_unc_sbo.3 \
	 libpfm_intel_bdx_unc_ubo.3 \
	 libpfm_intel_skx_unc_cha.3 \
	 libpfm_intel_skx_unc_imc.3 \
	 libpfm_intel_skx_unc_irp.3 \
	 libpfm_intel_skx_unc_m2m.3 \
	 libpfm_intel_skx_unc_m3upi.3 \
	 libpfm_intel_skx_unc_pcu.3 \
	 libpfm_intel_skx_unc_ubo.3 \
	 libpfm_intel_skx_unc_upi.3


ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
ARCH_MAN += libpfm_arm_xgene.3 \
	    libpfm_arm_ac7.3 \
	    libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3 \
	    libpfm_arm_ac15.3 \
	    libpfm_arm_ac8.3 \
	    libpfm_arm_ac9.3 \
	    libpfm_arm_qcom_krait.3 \
	    libpfm_arm_a64fx.3 \
	    libpfm_arm_neoverse_n1.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
ARCH_MAN += libpfm_arm_xgene.3 \
	    libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3 \
	    libpfm_arm_a64fx.3 \
	    libpfm_arm_neoverse_n1.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)
ARCH_MAN += libpfm_mips_74k.3
endif

GEN_MAN= libpfm.3 \
	pfm_find_event.3 \
	pfm_get_event_attr_info.3 \
	pfm_get_event_info.3 \
	pfm_get_event_encoding.3 \
	pfm_get_event_next.3 \
	pfm_get_pmu_info.3 \
	pfm_get_os_event_encoding.3 \
	pfm_get_version.3 \
	pfm_initialize.3 \
	pfm_terminate.3 \
	pfm_strerror.3

ifeq ($(SYS),Linux)
SYS_MAN=pfm_get_perf_event_encoding.3 libpfm_perf_event_raw.3
endif

MAN=$(GEN_MAN) $(ARCH_MAN) $(SYS_MAN)

install:

	-mkdir -p $(DESTDIR)$(MANDIR)/man3
	( cd man3; $(INSTALL) -m 644 $(MAN) $(DESTDIR)$(MANDIR)/man3 )

## libpfm4 4.11.1+git8-gc96ebc0

=== debian/changelog ===
libpfm4 (4.11.1+git8-gc96ebc0-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Bump watch version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Jan 2021 16:07:20 +0100

libpfm4 (4.11.1+git4-gfa84c27-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Switch to debhelper-compat (= 13).
  * typos.patch: Fix more typos found by Lintian.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Nov 2020 23:27:51 +0100

libpfm4 (11.1) unstable; urgency=low
  * Fix Makefile revision
  * Fix Fujitsu A64Fx man page install in ARM64 mode

 -- Stephane Eranian <eranian@gmail.com>  Wed, 23 Sep  2020 12:00:01 +0200

libpfm4 (11.0) unstable; urgency=low
  * Cavium TX2 core updates
  * Cavium TX2 uncore core
  * Intel CascadeLakeX core PMU support
  * AMD Zen1 updates
  * AMD Zen2 core pmu support
  * S390 updates
  * Update Skylake event table
  * speculative event info infrastructure
  * RAPL updates
  * Intel Icelake core PMU support
  * add hw_smpl attribute to the interface
  * enable priv level filtering on ARMv8
  * add ARM Neoverse N1 core PMU support

 -- Stephane Eranian <eranian@gmail.com>  Wed, 2 Sep  2020 12:00:01 +0200

## libpfm4 4.11.1+git32

=== docs/Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 	 libpfm_amd64_fam16h.3	\
 	 libpfm_amd64_fam17h.3	\
 	 libpfm_amd64_fam17h_zen2.3 \
+	 libpfm_amd64_fam19h_zen3.3 \
+	 libpfm_amd64_fam19h_zen3_l3.3 \
 	 libpfm_intel_atom.3	\
 	 libpfm_intel_nhm.3	\
 	 libpfm_intel_nhm_unc.3 \
@@ -57,6 +59,7 @@
 	 libpfm_intel_tmt.3	\
 	 libpfm_intel_skl.3	\
 	 libpfm_intel_icl.3	\
+	 libpfm_intel_icx.3	\
 	 libpfm_intel_glm.3	\
 	 libpfm_intel_knl.3	\
 	 libpfm_intel_knm.3	\
@@ -123,7 +126,6 @@
 	    libpfm_arm_ac8.3 \
 	    libpfm_arm_ac9.3 \
 	    libpfm_arm_qcom_krait.3 \
-	    libpfm_arm_a64fx.3 \
 	    libpfm_arm_neoverse_n1.3
 endif

=== perf_examples/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

DIRS=

ifeq ($(ARCH),ia64)
#DIRS +=ia64
endif

ifeq ($(ARCH),x86_64)
DIRS += x86
endif

ifeq ($(ARCH),i386)
DIRS += x86
endif

CFLAGS+= -I. -D_GNU_SOURCE -pthread

PERF_EVENT_HDR=$(TOPDIR)/include/perfmon/pfmlib_perf_event.h

LPC_UTILS=perf_util.o
LPC_UTILS_HDR=perf_util.h

TARGETS+=self self_basic self_count task task_attach_timeout syst \
	notify_self notify_group task_smpl self_smpl_multi \
	self_pipe syst_count task_cpu syst_smpl evt2raw \
	branch_smpl

# Make rtop conditional on ncurses development package installed
ifeq ($(shell /bin/echo -e '\#include <ncurses.h>\nint main(void) { return 0;}' | $(CC) -o /dev/null -xc - 2>/dev/null && echo -n yes), yes)
RTOP=rtop
endif

EXAMPLESDIR=$(DESTDIR)$(DOCDIR)/perf_examples

all: $(TARGETS) $(RTOP)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

rtop: rtop.o $(LPC_UTILS) $(PFMLIB) $(PERF_EVENT_HDR)
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) -lpthread -lncurses -ltinfo -lm

$(TARGETS): %:%.o $(LPC_UTILS) $(PFMLIB)
	-$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) 

$(LPC_UTILS): $(LPC_UTILS_HDR)

clean:
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
	$(RM) -f *.o $(TARGETS) rtop *~

distclean: clean

install-examples install_examples: $(TARGETS)
	@echo installing: $(TARGETS)
	-mkdir -p $(EXAMPLESDIR)
	$(INSTALL) -m 755 $(TARGETS) $(EXAMPLESDIR)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
#
.PHONY: install depend install_examples install-examples

## libpfm4 4.11.1+git32-gd0b85fb

=== debian/changelog ===
libpfm4 (4.11.1+git32-gd0b85fb-1ubuntu0.1) jammy; urgency=medium

  * Add d/p/lp-1960118-s390-Update-counter-definition-for-IBM-z16.patch
    to add new CPU-MF counters for new IBM zSystems hardware. (LP: #1960118)

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 29 Aug 2022 12:39:14 +0200

libpfm4 (4.11.1+git32-gd0b85fb-1) unstable; urgency=medium

  * New upstream GIT snapshot.
    - Add/improve support for current CPUs: AMD Zen2, Zen3; Intel IcelakeX,
      Tigerlake, Rocketlake; ARM A64FX, Neoverse.
    - Fix event encoding issues.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Jun 2021 16:32:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libpfm4
 Section: libs
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libncurses-dev,
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
 Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS	 = yes
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Upstream does not use CPPFLAGS
CFLAGS	+= $(CPPFLAGS)

# architecture mapping $(DEB_HOST_ARCH) => libpfm4 ARCH
# in case that can't be derived from the cpu correctly
# e.g. cross-compiling for a 32-bit architecture on a 64-bit cpu
LIBPFM4_ARCH_armel	 = arm
LIBPFM4_ARCH_armhf	 = arm
LIBPFM4_ARCH_i386	 = i386
LIBPFM4_ARCH_ppc64el	 = powerpc

LIBPFM4_ARCH_FLAG	 = $(foreach a,$(strip $(LIBPFM4_ARCH_$(DEB_HOST_ARCH))),ARCH=$a)

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -- $(LIBPFM4_ARCH_FLAG)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./tests/validate
endif

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		LDCONFIG=true \
		$(LIBPFM4_ARCH_FLAG)

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

## libpfm4 4.11.1+git74-g5140ce5

=== debian/changelog ===
libpfm4 (4.11.1+git74-g5140ce5-1) unstable; urgency=medium

  * New upstream GIT snapshot.
    - Fix FTBFS with GCC 12.  (Closes: #1012985)
  * Fix FTCBFS: Pass ARCH= for any architecture, thanks to Helmut Grohne.
    (Closes: #971034)
  * Bump Standards-Version to 4.6.1. No changes needed.
  * typos.patch: Fix more typos found by Lintian.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Aug 2022 16:47:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libpfm4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
@@ -11,7 +10,7 @@
  libncurses-dev,
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
 Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git

## libpfm4 4.12.1+git12

=== docs/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	 libpfm_amd64_fam17h.3	\
 	 libpfm_amd64_fam17h_zen2.3 \
 	 libpfm_amd64_fam19h_zen3.3 \
+	 libpfm_amd64_fam19h_zen4.3 \
 	 libpfm_amd64_fam19h_zen3_l3.3 \
 	 libpfm_intel_atom.3	\
 	 libpfm_intel_nhm.3	\
@@ -60,6 +61,7 @@
 	 libpfm_intel_skl.3	\
 	 libpfm_intel_icl.3	\
 	 libpfm_intel_icx.3	\
+	 libpfm_intel_spr.3	\
 	 libpfm_intel_glm.3	\
 	 libpfm_intel_knl.3	\
 	 libpfm_intel_knm.3	\
@@ -126,7 +128,8 @@
 	    libpfm_arm_ac8.3 \
 	    libpfm_arm_ac9.3 \
 	    libpfm_arm_qcom_krait.3 \
-	    libpfm_arm_neoverse_n1.3
+	    libpfm_arm_neoverse_n1.3 \
+	    libpfm_arm_neoverse_n2.3
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
@@ -134,7 +137,7 @@
 	    libpfm_arm_ac57.3 \
 	    libpfm_arm_ac53.3 \
 	    libpfm_arm_a64fx.3 \
-	    libpfm_arm_neoverse_n1.3
+	    libpfm_arm_neoverse_n2.3
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)

=== lib/Makefile ===
--- 
+++ 
@@ -63,6 +63,7 @@
 	  pfmlib_intel_bdw.c \
 	  pfmlib_intel_skl.c \
 	  pfmlib_intel_icl.c \
+	  pfmlib_intel_spr.c \
 	  pfmlib_intel_rapl.c \
 	  pfmlib_intel_snbep_unc.c \
 	  pfmlib_intel_snbep_unc_cbo.c \
@@ -148,7 +149,9 @@
 endif
 
 INCARCH = $(INC_POWERPC)
-SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c pfmlib_power9.c pfmlib_powerpc_nest.c
+SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c \
+	pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c \
+	pfmlib_power9.c pfmlib_powerpc_nest.c pfmlib_power10.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
 endif
 
@@ -181,7 +184,7 @@
 endif
 
 INCARCH = $(INC_ARM)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c pfmlib_kunpeng_unc_perf_event.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
 endif
 
@@ -192,7 +195,7 @@
 endif
 
 INCARCH = $(INC_ARM64)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c pfmlib_kunpeng_unc_perf_event.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
 endif
 
@@ -255,6 +258,7 @@
 	events/amd64_events_fam17h_zen1.h \
 	events/amd64_events_fam17h_zen2.h \
 	events/amd64_events_fam19h_zen3.h \
+	events/amd64_events_fam19h_zen4.h \
 	events/amd64_events_fam19h_zen3_l3.h \
 	events/amd64_events_fam16h.h	\
 	events/intel_p6_events.h	\
@@ -275,6 +279,7 @@
 	events/intel_skl_events.h	\
 	events/intel_glm_events.h	\
 	events/intel_icl_events.h	\
+	events/intel_spr_events.h	\
 	pfmlib_intel_snbep_unc_priv.h	\
 	events/intel_snbep_unc_cbo_events.h \
 	events/intel_snbep_unc_ha_events.h \
@@ -342,6 +347,7 @@
 	events/power7_events.h		\
 	events/power8_events.h		\
 	events/power9_events.h		\
+	events/power10_events.h		\
 	events/torrent_events.h		\
 	events/powerpc_nest_events.h
 
@@ -368,42 +374,24 @@
         events/arm_xgene_events.h		\
 	events/arm_cavium_tx2_events.h		\
 	events/arm_marvell_tx2_unc_events.h	\
-	events/arm_neoverse_n1_events.h
-
-INC_ARM64=events/arm_cortex_a57_events.h	\
+	events/arm_neoverse_n1_events.h		\
+	events/arm_neoverse_n2_events.h		\
+	events/arm_hisilicon_kunpeng_events.h \
+	events/arm_hisilicon_kunpeng_unc_events.h
+
+INC_ARM64=pfmlib_arm_priv.h			\
+	events/arm_cortex_a57_events.h		\
 	events/arm_cortex_a53_events.h		\
         events/arm_xgene_events.h		\
 	events/arm_cavium_tx2_events.h		\
 	events/arm_marvell_tx2_unc_events.h	\
 	events/arm_fujitsu_a64fx_events.h	\
-	events/arm_neoverse_n1_events.h
+	events/arm_neoverse_n1_events.h		\
+	events/arm_neoverse_n2_events.h		\
+	events/arm_hisilicon_kunpeng_events.h \
+	events/arm_hisilicon_kunpeng_unc_events.h
 
 INCDEP=$(INC_COMMON) $(INCARCH)
 
 all: $(TARGETS)
 
-$(OBJS) $(SOBJS): $(TOPDIR)/config.mk $(TOPDIR)/rules.mk Makefile $(INCDEP)
-
-libpfm.a:  $(OBJS)
-	$(RM) $@
-	$(AR) cq $@ $(OBJS)
-
-$(SLIBPFM):  $(SOBJS)
-	$(CC) $(CFLAGS) $(SLDFLAGS)  -o $@ $(SOBJS)
-	$(LN) $@ $(VLIBPFM)
-	$(LN) $@ libpfm.$(SOLIBEXT)
-
-clean:
-	$(RM) -f *.o *.lo *.a *.so* *~ *.$(SOLIBEXT)
-
-distclean: clean
-
-depend:
-	$(MKDEP) $(CFLAGS) $(SRCS)
-
-install: $(TARGETS)
-
-install:
-	@echo building: $(TARGETS)
-	-mkdir -p $(DESTDIR)$(LIBDIR)
-	$(INSTALL) -m 644 $(ALIBPFM) $(DESTDIR)$(LIBDIR)

## libpfm4 4.12.1+git12-g678bca9

=== debian/changelog ===
libpfm4 (4.12.1+git12-g678bca9-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream GIT snapshot.
    - Add support for Zen4.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Feb 2023 10:30:29 +0100

libpfm4 (4.12.1+git6-g8aaaf17-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream GIT snapshot.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 10.1, 10.0, 4.0.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Nov 2022 16:22:20 +0100

libpfm4 (4.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Sep 2022 17:12:28 +0200

libpfm4 (12.1) unstable; urgency=low
  * fix debian changelog 12.0 entry order
  * fix debian rules to build again

 -- Stephane Eranian <eranian@gmail.com>  Tue, 20 Sep  2022 08:00:01 +0200

libpfm4 (12.0) unstable; urgency=low
  * Add IBM Power10 core PMU support
  * Add Intel IcelakeX core PMU support
  * Add Intel SapphireRapid core PMU support
  * Add Intel SapphireRapid RAPL PMU support
  * Update Intel Icelake RAPL PMU support
  * Add support HiSilicon Kunpeng uncore PMUs
  * Add support HiSilicon Kunpeng core PMU
  * Remove arm_fujitsu_a64fx_support for ARM(32 bit)
  * Update Intel Skylake event table
  * Add Intel PERF_METRICS event support for Icelake
  * Add support for ARM Neoverse N2 core PMU
  * Add ARM SPE events for Neoverse N1 core PMU
  * Add cgroup-switches software event
  * Add Intel Tigerlake and Rocketlake core PMU support
  * Add AMD64 Fam19h Zen3 L3 PMU support
  * Add AMD64 Fam17h Zen2 RAPL support
  * Add AMD64 Fam19h Zen3 core PMU support
  * Add RAPL for AMD64 Fam19h Zen3 processor
  * Update ARM N1 event table
  * Update AMD Fam17h Zen2 event table
  * s390: Update counter definition for IBM z16

 -- Stephane Eranian <eranian@gmail.com>  Fri, 16 Sep  2022 12:00:01 +0200

## libpfm4 4.13.0

=== Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

#
# Look in config.mk for options
#
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

include config.mk

EXAMPLE_DIRS=examples
DIRS=lib tests $(EXAMPLE_DIRS) include docs

ifeq ($(SYS),Linux)
EXAMPLE_DIRS +=perf_examples
endif

ifneq ($(CONFIG_PFMLIB_NOPYTHON),y)
DIRS += python
endif

TAR=tar --exclude=.git --exclude=.gitignore
CURDIR=$(shell basename "$$PWD")
PKG=libpfm-4.$(REVISION).$(AGE)
TARBALL=$(PKG).tar.gz

all: 
	@echo Compiling for \'$(ARCH)\' target
	@echo Compiling for \'$(SYS)\' system
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

lib:
	$(MAKE) -C lib

clean: 
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

distclean:  clean
	@(cd debian; $(RM) -f *.log *.debhelper *.substvars; $(RM) -rf libpfm4-dev libpfm4 python-libpfm4 tmp files)
	$(RM) -f tags

depend: 
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

tar: clean
	ln -s $$PWD ../$(PKG) && cd .. &&  $(TAR) -zcf $(TARBALL) $(PKG)/. && rm $(PKG)
	@echo generated ../$(TARBALL)

install-lib:
	@echo installing in $(DESTDIR)$(PREFIX)
	@$(MAKE) -C lib install
install install-all:
	@echo installing in $(DESTDIR)$(PREFIX)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d install ; done
install-examples install_examples:
	@echo installing in $(DESTDIR)$(PREFIX)
	@set -e ; for d in $(EXAMPLE_DIRS) ; do $(MAKE) -C $$d $@ ; done

tags:
	@echo creating tags
	$(MAKE) -C lib $@

static:
	make all CONFIG_PFMLIB_SHARED=n

.PHONY: all clean distclean depend tar install install-all install-lib install-examples lib static install_examples

# DO NOT DELETE

=== docs/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #
 # Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
 # Contributed by Stephane Eranian <eranian@hpl.hp.com>
+#
+# Copyright (c) 2022, NVIDIA CORPORATION & AFFILIATES.
+# Contributed by John Linford <jlinford@nvidia.com>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy 
 # of this software and associated documentation files (the "Software"), to deal 
@@ -129,7 +132,9 @@
 	    libpfm_arm_ac9.3 \
 	    libpfm_arm_qcom_krait.3 \
 	    libpfm_arm_neoverse_n1.3 \
-	    libpfm_arm_neoverse_n2.3
+	    libpfm_arm_neoverse_n2.3 \
+		libpfm_arm_neoverse_v1.3 \
+		libpfm_arm_neoverse_v2.3
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
@@ -137,7 +142,10 @@
 	    libpfm_arm_ac57.3 \
 	    libpfm_arm_ac53.3 \
 	    libpfm_arm_a64fx.3 \
-	    libpfm_arm_neoverse_n2.3
+		libpfm_arm_neoverse_n1.3 \
+	    libpfm_arm_neoverse_n2.3 \
+		libpfm_arm_neoverse_v1.3 \
+		libpfm_arm_neoverse_v2.3
 endif
 
 ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)

=== debian/changelog ===
libpfm4 (4.13.0-1) unstable; urgency=medium

  * New upstream release.
    - Update Intel event tables.
    - Add ARM v9 support basic infrastructure.
    - Add ARM Neoverse V1/V2 core PMU support.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Apr 2023 11:16:32 +0200

libpfm4 (13.0) unstable; urgency=low
  * update Intel SKL/SKX/CLX event table
  * add ARM Neoverse V2 core PMU support
  * move ARM Neoverse N2 to ARMv9 support
  * add ARM v9  support basic infrastructure
  * add Arm Neoverse V1 core PMU support
  * Update Intel SapphireRapid event table
  * update Intel Icelake event table
  * Update AMD Zen4 event table
  * remove useless combination in AMD Zen4 packed_int_ops_retired event
  * Fix AMD Zen4 cpu_family used in detection code
  * Add AMD Zen4 core PMU support
  * Correctly detect all AMD Zen3 processors
  * fix CPU_CLK_UNHALTED.REF_DISTRIBUTED on Intel Icelake
  * add missing break in amd64_get_revision()
  * update Intel Skylake event table
  * Fix typos in Intel Icelake event table
  * Update Intel SapphireRapid event table
  * update perf_event.h to Linux 5.18
  * fix amd_get_revision() to identify AMD Zen3 uniquely

 -- Stephane Eranian <eranian@gmail.com>  Tue, 28 Mar  2023 08:00:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  libncurses-dev,
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: http://perfmon2.sourceforge.net/
+Standards-Version: 4.6.2
+Homepage: https://perfmon2.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
 Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git

## libpfm4 4.13.0+git15-gefd10fb

=== debian/changelog ===
libpfm4 (4.13.0+git15-gefd10fb-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Do not crash on empty /proc/cpuinfo.  (Closes: #1043238)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Sep 2023 15:41:15 +0200

libpfm4 (4.13.0+git15-gefd10fb-1) unstable; urgency=medium

  * New upstream GIT snapshot.
    - Improve Zen3/Zen4 detection.
    - Add Intel EmeraldRapid core PMU support.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Aug 2023 01:41:09 +0200

## libpfm4 4.13.0+git16-g535c204

=== debian/changelog ===
libpfm4 (4.13.0+git16-g535c204-1) unstable; urgency=medium

  * New upstream GIT snapshot.
    - Add Intel IceLake and Intel SapphireRapid.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Dec 2023 21:49:24 +0100

## libpfm4 4.13.0+git32

=== docs/Makefile ===
--- 
+++ 
@@ -65,6 +65,7 @@
 	 libpfm_intel_icl.3	\
 	 libpfm_intel_icx.3	\
 	 libpfm_intel_spr.3	\
+	 libpfm_intel_emr.3	\
 	 libpfm_intel_glm.3	\
 	 libpfm_intel_knl.3	\
 	 libpfm_intel_knm.3	\
@@ -113,7 +114,17 @@
 	 libpfm_intel_skx_unc_m3upi.3 \
 	 libpfm_intel_skx_unc_pcu.3 \
 	 libpfm_intel_skx_unc_ubo.3 \
-	 libpfm_intel_skx_unc_upi.3
+	 libpfm_intel_skx_unc_upi.3 \
+	 libpfm_intel_icx_unc_cha.3 \
+	 libpfm_intel_icx_unc_imc.3 \
+	 libpfm_intel_icx_unc_m2m.3 \
+	 libpfm_intel_icx_unc_iio.3 \
+	 libpfm_intel_icx_unc_pcu.3 \
+	 libpfm_intel_icx_unc_upi.3 \
+	 libpfm_intel_icx_unc_m3upi.3 \
+	 libpfm_intel_icx_unc_ubox.3 \
+	 libpfm_intel_icx_unc_m2pcie.3 \
+	 libpfm_intel_icx_unc_irp.3
 
 
 ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)

=== lib/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #
 # Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
 # Contributed by Stephane Eranian <eranian@hpl.hp.com>
+#
+# Copyright (c) 2022, NVIDIA CORPORATION & AFFILIATES.
+# Contributed by John Linford <jlinford@nvidia.com>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -30,6 +33,7 @@
 SRCS=pfmlib_common.c
 
 ifeq ($(SYS),Linux)
+CFLAGS += -DHAS_OPENAT
 SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
 endif
 
@@ -112,6 +116,16 @@
 	  pfmlib_intel_skx_unc_pcu.c \
 	  pfmlib_intel_skx_unc_ubo.c \
 	  pfmlib_intel_skx_unc_upi.c \
+	  pfmlib_intel_icx_unc_cha.c \
+	  pfmlib_intel_icx_unc_imc.c \
+	  pfmlib_intel_icx_unc_m2m.c \
+	  pfmlib_intel_icx_unc_iio.c \
+	  pfmlib_intel_icx_unc_irp.c \
+	  pfmlib_intel_icx_unc_pcu.c \
+	  pfmlib_intel_icx_unc_upi.c \
+	  pfmlib_intel_icx_unc_m3upi.c \
+	  pfmlib_intel_icx_unc_ubox.c \
+	  pfmlib_intel_icx_unc_m2pcie.c \
 	  pfmlib_intel_knc.c \
 	  pfmlib_intel_slm.c \
 	  pfmlib_intel_tmt.c \
@@ -184,7 +198,7 @@
 endif
 
 INCARCH = $(INC_ARM)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c pfmlib_kunpeng_unc_perf_event.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c pfmlib_arm_armv9.c pfmlib_tx2_unc_perf_event.c pfmlib_kunpeng_unc_perf_event.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
 endif
 
@@ -195,7 +209,7 @@
 endif
 
 INCARCH = $(INC_ARM64)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c pfmlib_kunpeng_unc_perf_event.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c pfmlib_arm_armv9.c pfmlib_tx2_unc_perf_event.c pfmlib_kunpeng_unc_perf_event.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
 endif
 
@@ -334,6 +348,15 @@
 	events/intel_knl_unc_edc_events.h \
 	events/intel_knl_unc_cha_events.h \
 	events/intel_knl_unc_m2pcie_events.h \
+	events/intel_icx_unc_cha_events.h \
+	events/intel_icx_unc_imc_events.h \
+	events/intel_icx_unc_m2m_events.h \
+	events/intel_icx_unc_irp_events.h \
+	events/intel_icx_unc_pcu_events.h \
+	events/intel_icx_unc_upi_events.h \
+	events/intel_icx_unc_m3upi_events.h \
+	events/intel_icx_unc_ubox_events.h \
+	events/intel_icx_unc_m2pcie_events.h \
 	events/intel_slm_events.h
 
 INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h
@@ -368,30 +391,3 @@
 	events/arm_cortex_a7_events.h		\
 	events/arm_cortex_a8_events.h		\
 	events/arm_cortex_a9_events.h		\
-	events/arm_cortex_a15_events.h		\
-	events/arm_cortex_a57_events.h		\
-	events/arm_cortex_a53_events.h		\
-        events/arm_xgene_events.h		\
-	events/arm_cavium_tx2_events.h		\
-	events/arm_marvell_tx2_unc_events.h	\
-	events/arm_neoverse_n1_events.h		\
-	events/arm_neoverse_n2_events.h		\
-	events/arm_hisilicon_kunpeng_events.h \
-	events/arm_hisilicon_kunpeng_unc_events.h
-
-INC_ARM64=pfmlib_arm_priv.h			\
-	events/arm_cortex_a57_events.h		\
-	events/arm_cortex_a53_events.h		\
-        events/arm_xgene_events.h		\
-	events/arm_cavium_tx2_events.h		\
-	events/arm_marvell_tx2_unc_events.h	\
-	events/arm_fujitsu_a64fx_events.h	\
-	events/arm_neoverse_n1_events.h		\
-	events/arm_neoverse_n2_events.h		\
-	events/arm_hisilicon_kunpeng_events.h \
-	events/arm_hisilicon_kunpeng_unc_events.h
-
-INCDEP=$(INC_COMMON) $(INCARCH)
-
-all: $(TARGETS)
-

## libpfm4 4.13.0+git32-g0d4ed0e

=== debian/changelog ===
libpfm4 (4.13.0+git32-g0d4ed0e-1) unstable; urgency=medium

  * New upstream GIT snapshot.
    - Add Intel IceLakeX.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Feb 2024 00:11:36 +0100
